(game-module "1756"
  (title "Europe 1756")
  (blurb "Central Europe, the beginning of summer, 1756.  Frederick must strike or die.")
)

(include "friedrich")

;;; Modify the defaults in friedrich.

(add u* start-with 0)

(world 2500 (year-length 26))

(area 60 41 (latitude 500))

(area (terrain
  "6a3b28a3b20a"
  "6a3b28a4b19a"
  "7a2b29a4b18a"
  "8a2b21a3b2aba5b17a"
  "9a2b19a4b2aba6b16a"
  "8a6bab2a3b8a8ba7b15a"
  "10a6ba6b5a18b14a"
  "11a5b2a6b3a20b13a"
  "10a15b2a21b12a"
  "7a3ba7baba6ba21b11a"
  "8a42b10a"
  "4a3ba13b2a28b9a"
  "4a48b8a"
  "6a47b7a"
  "6a18ba29b6a"
  "6a49b5a"
  "5a51b4a"
  "6a51b3a"
  "20bfd36b2a"
  "20bdfd36ba"
  "19b2fdf37b"
  "a19b2fd37b"
  "2a58b"
  "3a18bdb2f8b4e23b"
  "4a17b2d3e5befb3e2fe20b"
  "5a17bdfe2f2be2fef3b2fef19b"
  "6a18bebfe2fe2f7b2fe17b"
  "7a20be3f10bfe2f15b"
  "8a20b2e13b2fef13b"
  "9a20bef14bef13b"
  "10a20befe27b"
  "11a20b2efe25b"
  "12a21befe24b"
  "13a9bf12bef23b"
  "14a8b2e2bfe8bef22b"
  "15a3bf3b2fbf2e9b3e20b"
  "15a3bf3b2ebfe11befe19b"
  "16a3be2b3fbe33b"
  "16a3bf3b2f35b"
  "16a4bf2b2f35b"
  "20a40b"
))
(area (aux-terrain river
  "60a"
  "60a"
  "60a"
  "60a"
  "60a"
  "35agq23a"
  "35acT23a"
  "11ai24ahq22a"
  "11ady23acT22a"
  "12ad}i11ae9aepq21a"
  "10acyab?}i9agL8acU<21a"
  "11ady2ab?y8agL9ad}i20a"
  "12ad}miady7acT10ab?}i18a"
  "13ahMC}id}i6ady4aemi4ab?y17a"
  "13agLcU=ab?y2aemiad}3moM?y5ab17a"
  "13acTady3ah}moM?}idU3=<ahq22a"
  "14ahqahq2acU2=<abCqdy4acX2mi19a"
  "6ami6acXicT3ady4acTah}mi2ab3=19a"
  "6ab?}i5ab?ydy3ad}mi2ahqgMCO}i23a"
  "8abCq6adyb4ab=?yacTcTcTb?y22a"
  "9acT7ahy7adyahqdydyahq21a"
  "10ady6agOy7adya<adyhygXmi19a"
  "11ady5acLdy7ady3ahsW:M=?}i17a"
  "12abi7ady7ad}iacTdtX2ab?}i15a"
  "13ady7ab8ab?yad}ab<3ab=15a"
  "14ady17ahqab<22a"
  "14aepy16acXmi23a"
  "14agM?}3mi12adU?yagq19a"
  "14agLab?U=Cuiemi8ahqd}oL19a"
  "13aeoL3adycZO:M?y7acTab=<3acy14a"
  "13acU<4ahqb<b<ahq7ahq7ady13a"
  "14ahq4agL5agL7acT8ahq12a"
  "14acT4agL5acL8ady3acy2agL12a"
  "15ahq3agL16ahq3ad}moL12a"
  "15acT3acL7ae6miacL4ab=?T12a"
  "16ahq2agq7agM5=Cq9ahq11a"
  "16acL2agL4ae2moL5acT5ae2micT11a"
  "20acT4agM2=<6ad}4moM=?}p}2mi7a"
  "21adq3agL10ab5=<2ab4=?}4mia"
  "27a<25ab5=a"
  "60a"
))
#|
(area (terrain (by-char "abcdfg")
  "aaaaaabbbaaaaaaaaaaaaaaaaaaaaaaaaaaaabbbaaaaaaaaaaaaaaaaaaaa"
  "aaaaaabbbaaaaaaaaaaaaaaaaaaaaaaaaaaaabbbbaaaaaaaaaaaaaaaaaaa"
  "aaaaaaabbaaaaaaaaaaaaaaaaaaaaaaaaaaaaabbbbaaaaaaaaaaaaaaaaaa"
  "aaaaaaaabbaaaaaaaaaaaaaaaaaaaaabbbaababbbbbaaaaaaaaaaaaaaaaa"
  "aaaaaaaaabbaaaaaaaaaaaaaaaaaaabbbbaababbbbbbaaaaaaaaaaaaaaaa"
  "aaaaaaaabbbbbbabaabbbaaaaaaaabbbbbbbbabbbbbbbaaaaaaaaaaaaaaa"
  "aaaaaaaaaabbbbbbabbbbbbaaaaabbbbbbbbbbbbbbbbbbaaaaaaaaaaaaaa"
  "aaaaaaaaaaabbbbbaabbbbbbaaabbbbbbbbbbbbbbbbbbbbaaaaaaaaaaaaa"
  "aaaaaaaaaabbbbbbbbbbbbbbbaabbbbbbbbbbbbbbbbbbbbbaaaaaaaaaaaa"
  "aaaaaaabbbabbbbbbbababbbbbbabbbbbbbbbbbbbbbbbbbbbaaaaaaaaaaa"
  "aaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaaaaaaa"
  "aaaabbbabbbbbbbbbbbbbaabbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaaaaaa"
  "aaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaaaaa"
  "aaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaaaa"
  "aaaaaabbbbbbbbbbbbbbbbbbabbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaaa"
  "aaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaaa"
  "aaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaaa"
  "aaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaaa"
  "bbbbbbbbbbbbbbbbbbbbgdbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbaa"
  "bbbbbbbbbbbbbbbbbbbbdgdbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbba"
  "bbbbbbbbbbbbbbbbbbbggdgbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "abbbbbbbbbbbbbbbbbbbggdbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaabbbbbbbbbbbbbbbbbbdbggbbbbbbbbffffbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaabbbbbbbbbbbbbbbbbddfffbbbbbfgbfffggfbbbbbbbbbbbbbbbbbbbb"
  "aaaaabbbbbbbbbbbbbbbbbdgfggbbfggfgbbbggfgbbbbbbbbbbbbbbbbbbb"
  "aaaaaabbbbbbbbbbbbbbbbbbfbgfggfggbbbbbbbggfbbbbbbbbbbbbbbbbb"
  "aaaaaaabbbbbbbbbbbbbbbbbbbbfgggbbbbbbbbbbgfggbbbbbbbbbbbbbbb"
  "aaaaaaaabbbbbbbbbbbbbbbbbbbbffbbbbbbbbbbbbbggfgbbbbbbbbbbbbb"
  "aaaaaaaaabbbbbbbbbbbbbbbbbbbbfgbbbbbbbbbbbbbbfgbbbbbbbbbbbbb"
  "aaaaaaaaaabbbbbbbbbbbbbbbbbbbbfgfbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaabbbbbbbbbbbbbbbbbbbbffgfbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaabbbbbbbbbbbbbbbbbbbbbfgfbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaabbbbbbbbbgbbbbbbbbbbbbfgbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaabbbbbbbbffbbgfbbbbbbbbfgbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaabbbgbbbggbgffbbbbbbbbbfffbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaabbbgbbbffbgfbbbbbbbbbbbfgfbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaaabbbfbbgggbfbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaaabbbgbbbggbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaaabbbbgbbggbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
  "aaaaaaaaaaaaaaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
))
(area (aux-terrain river
  "60a"
  "60a"
  "60a"
  "60a"
  "60a"
  "35agq23a"
  "35acT23a"
  "11ai24ahq22a"
  "11ady23acT22a"
  "12ad}i11ae9aepq21a"
  "10acyab?}i9acT8acU<21a"
  "11ady2ab?y9ahq8ad}i20a"
  "12ad}miady8acT9ab?}i18a"
  "13ahMC}id}i7ady3aemi4ab?y17a"
  "13agLcU=ab?y2aemi2ad}2moM?y5ab17a"
  "13acTady3ah}moM?}iahM2=<ahq22a"
  "14ahqahq2acU2=<abCqcXmi2acX2mi19a"
  "6ami6acXicT3ady4acXib=?y2ab3=19a"
  "6ab?}i5ab?ydy3ad}mi2abCq2ad}i23a"
  "8abCq6adyb4ab=?y2acT3ab?y22a"
  "9acT7ahy7ady2adq4ady21a"
  "10ady6agOy7ady8ad}i19a"
  "11ady5acLdy7ady8ab?}i17a"
  "12abi7ady7ad}i8ab?}i15a"
  "13ady7ab8ab?y9ab=15a"
  "14ady17ahq25a"
  "14aepy16acXmi23a"
  "14agM?}3mi12adU?yagq19a"
  "14agLab?U=Cuiemi8ahqd}oL19a"
  "13aeoL3adycZO:M?y7acTab=<3acy14a"
  "13acU<4ahqb<b<ahq7ahq7ady13a"
  "14ahq4agL5agL7acT8ahq12a"
  "14acT4agL5acL8ady3acy2agL12a"
  "15ahq3agL16ahq3ad}moL12a"
  "15acT3acL7ae6miacL4ab=?T12a"
  "16ahq2agq7agM5=Cq9ahq11a"
  "16acL2agL4ae2moL5acT5ae2micT11a"
  "20acT4agM2=<6ad}4moM=?}p}2mi7a"
  "21adq3agL10ab5=<2ab4=?}4mia"
  "27a<25ab5=a"
  "60a"
))
|#

;;; All scenarios include these sides, although most are not active.

(side 1 (name "Prussia") (adjective "Prussian") (emblem-name "arms-prussia"))
(side 2 (name "Hannover") (adjective "Hannoverian") (emblem-name "arms-hannover"))
(side 3 (name "Austria") (adjective "Austrian") (emblem-name "arms-austria"))
(side 4 (name "Saxony") (adjective "Saxon") (emblem-name "arms-saxony"))
(side 5 (name "France") (adjective "French") (emblem-name "arms-france"))
(side 6 (name "Russia") (adjective "Russian") (emblem-name "arms-russia"))
(side 7 (name "Sweden") (adjective "Swedish") (emblem-name "arms-sweden"))

;;; Towns and fortresses do not necessarily belong to anyone.

(town (n "Danzig") (@ 35 35))
(town (n "Hamburg") (@ 12 32))
(town (n "Emden") (@ 8 30))
(town (n "Thorn") (@ 38 29))
(town (n "Bremen") (@ 13 28))
(town (n "Posen") (@ 36 25))
(town (n "Cassel") (@ 18 19))
(town (n "Leipzig") (@ 27 18))
(town (n "Chemnitz") (@ 29 16))
(town (n "Eger") (@ 31 12))
(town (n "Wurzburg") (@ 24 11))
(town (n "Donauworth") (@ 29 6))
(town (n "Regensburg") (@ 32 6))
(town (n "Passau") (@ 36 5))
(town (n "Ulm") (@ 27 4))

(fortress 22 23 1 (n "Magdeburg"))
(fortress (n "Berlin") (@ 25 26))
(fortress (n "Stettin") (@ 26 30))
(fortress (n "Kustrin") (@ 30 25))
(fortress 36 21 1 (n "Glogau"))
(fortress (n "Colberg") (@ 29 34))
(fortress (n "Schweidinitz") (@ 39 17) (s 1))
(fortress 40 18 1 (n "Breslau"))
(fortress (n "Glatz") (@ 40 16) (s 1))
(fortress (n "Brieg") (@ 42 17) (s 1))
(fortress (n "Neisse") (@ 43 15) (s 1))
(fortress (n "Munster") (@ 11 23))
(fortress (n "Minden") (@ 14 24))
(fortress (n "Hannover") (@ 17 25))
(fortress (n "Stade") (@ 12 31))
(fortress (n "Prague") (@ 35 12) (s 3))
(fortress (n "Brunn") (@ 44 7))
(fortress (n "Olmutz") (@ 46 9) (s 3))
(fortress (n "Vienna") (@ 46 3))
(fortress (n "Koniggratz") (@ 40 13))
(fortress (n "Nuremberg") (@ 28 9))
(fortress (n "Torgau") (@ 28 19) (s 4))
(fortress (n "Dresden") (@ 31 17) (s 4))
(fortress (n "Metz") (@ 15 8))
(fortress (n "Strasbourg") (@ 20 5))
(fortress (n "Venlo") (@ 7 20))
(fortress (n "Roermond") (@ 9 18))
(fortress (n "Cologne") (@ 12 17))
(fortress (n "Coblenz") (@ 15 14))
(fortress (n "Dusseldorf") (@ 11 19))
(fortress (n "Mainz") (@ 18 12))
(fortress (n "Wesel") (@ 9 22))
(fortress (n "Frankfort") (@ 20 13))
(fortress (n "Konigsberg") (@ 38 38))
(fortress (n "Stralsund") (@ 20 34))

(king 22 23 1 (# 51) (n "Frederick"))
(prince 22 23 1 (n "Ferdinand"))
(general 22 23 1 (n "Keith"))
(army 22 23 1 (# 67) (hp 18))

(marshal 40 18 1 (# 68) (n "Schwerin"))
(army 40 18 1 (# 78) (hp 10))

(marshal 36 18 1 (n "Brunswick"))
(general 36 18 1 (n "Maurice"))
(army 36 18 1 (# 85) (hp 6))
(depot 36 18 1)

(army 42 17 1 (# 90) (hp 1))
(army 43 15 1 (# 89) (hp 1))
(army 40 16 1 (# 88) (hp 1))
(army 39 17 1 (# 87) (hp 1))
(army 36 21 1 (# 86) (hp 1))

(marshal 46 9 3 (n "Browne"))
(general 46 9 3 (n "Lascy"))
(army 46 9 3 (# 113) (hp 12))

(marshal 39 12 3 (n "Picolomini"))
(general 39 12 3 (n "Nadasy"))
(army 39 12 3 (# 99) (hp 9))

(marshal 35 12 3 (n "Serbeloni"))
(army 35 12 3 (# 117) (hp 4))

(king 31 17 4 (# 126) (n "Rutkowski"))
(army 31 17 4 (# 125) (hp 8))

(army 28 19 4 (# 128) (hp 1))

;;; Need some scorekeepers.

(scorekeeper (do last-side-wins))

;;; Should let game only last until the end of the year.

(set initial-date "Jun 1756")
